<?xml version="1.0" encoding="utf-8" ?> 
<xs:schema targetNamespace="urn:esr-vha-gov:internal:hl7-messages" xmlns="urn:esr-vha-gov:internal:hl7-messages" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    elementFormDefault="qualified">
<!--	
  <xs:include schemaLocation="edb/messaging/hl7/xsd/HL7Types.xsd" />
  <xs:include schemaLocation="edb/messaging/hl7/xsd/hl7Segments/Common.xsd" />
-->	
  <xs:complexType name="bhs.content">
    <xs:annotation>
      <xs:documentation>
        Batch Header Segment
      </xs:documentation>
    </xs:annotation>
    <xs:complexContent>
      <xs:extension base="anyBatchSegment.content">
        <xs:sequence>
          <xs:element name="bhs.3" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.4" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.5" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.6" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.7" type="ts" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.8" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.9" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.10" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.11" type="st" minOccurs="0" maxOccurs="1" />
          <xs:element name="bhs.12" type="st" minOccurs="0" maxOccurs="1" />
        </xs:sequence>
        <xs:attribute name="fieldDelimiter" type="encodingCharacter" use="required" />
        <xs:attribute name="componentDelimiter" type="encodingCharacter" use="required" />
        <xs:attribute name="subComponentDelimiter" type="encodingCharacter" use="required" />
        <xs:attribute name="repeatingFieldDelimiter" type="encodingCharacter" use="required" />
        <xs:attribute name="escapeCharacter" type="encodingCharacter" use="required" />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="bhs" type="bhs.content" substitutionGroup="anyBatchSegment" />
</xs:schema>
